aboutsummaryrefslogtreecommitdiff
path: root/lib
diff options
context:
space:
mode:
authorrhatto <rhatto@ratatosk.fluxo.info>2014-04-04 13:34:22 -0300
committerrhatto <rhatto@ratatosk.fluxo.info>2014-04-04 13:34:22 -0300
commit9c18956f82916ff9da2e6a718d2ae208778dab76 (patch)
treeeac319d88d4fde2e3f295968ef72091ee3f83925 /lib
parentedab719642f89ff4180110c6928d9ed62f67debb (diff)
downloadkeyringer-9c18956f82916ff9da2e6a718d2ae208778dab76.tar.gz
keyringer-9c18956f82916ff9da2e6a718d2ae208778dab76.tar.bz2
Adding "commit" action which is a wrapper around "git commit"
Diffstat (limited to 'lib')
-rwxr-xr-xlib/keyringer/actions/commit10
1 files changed, 10 insertions, 0 deletions
diff --git a/lib/keyringer/actions/commit b/lib/keyringer/actions/commit
new file mode 100755
index 0000000..47937c2
--- /dev/null
+++ b/lib/keyringer/actions/commit
@@ -0,0 +1,10 @@
+#!/bin/bash
+#
+# Git commit wrapper.
+#
+
+# Load functions
+LIB="`dirname $0`/../functions"
+source "$LIB" || exit 1
+
+keyringer_exec git "$BASEDIR" commit $*